CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

容差抑制前导零属性 (ActiveX)

2023-1-3 03:07| 发布者: admin| 查看: 160| 评论: 0|来自: AutoCAD

摘要: 指定禁止显示容差值中的前导零。

指定禁止显示容差值中的前导零。

支持的平台:仅窗口

签名

工 务 局:

object.ToleranceSuppressLeadingZeros
对象

类型:暗三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,径向,向大,暗旋转

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:禁止显示十进制值中的前导零。例如,0.5000 变为 .5000。
  • False:不禁止显示十进制值中的前导零。

言论

此属性的初始值为。False

注意:此值将覆盖 DIMTZIN 系统变量的值。

例子

工 务 局:

Sub Example_ToleranceSuppressLeadingZeros()
    ' This example creates an aligned dimension in model space and
    ' uses ToleranceSuppressLeadingZeros to toggle the display of leading zeros
    ' in the dimension tolerance display

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.01: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ' Enable and setup tolerance display
    dimObj.ToleranceDisplay = acTolSymmetrical
    dimObj.ToleranceLowerLimit = -0.0001: dimObj.ToleranceUpperLimit = 0.005
    
    ThisDrawing.Application.ZoomAll
    
Toggle:
    Select Case MsgBox("Press OK to toggle the display of leading zeros in the dimension tolerance", vbOKCancel)
        Case vbOK
            ' Toggle the display of leading zeros for the dimension tolerance value
            dimObj.ToleranceSuppressLeadingZeros = Not (dimObj.ToleranceSuppressLeadingZeros)
            ThisDrawing.Regen acAllViewports
        
        Case vbCancel
            Exit Sub
    End Select
    
    GoTo Toggle
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ToleranceSuppressLeadingZeros()
    ;; This example creates an aligned dimension in model space and
    ;; uses ToleranceSuppressLeadingZeros to toggle the display of leading zeros
    ;; in the dimension tolerance display
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.01 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    ;; Enable and setup tolerance display
    (vla-put-ToleranceDisplay dimObj acTolSymmetrical)
    (vla-put-ToleranceLowerLimit dimObj -0.0001)
    (vla-put-ToleranceUpperLimit dimObj 0.005)

    (vla-ZoomAll acadObj)

    ;; Toggle the display of leading zeros for the dimension tolerance value
    (vla-put-ToleranceSuppressLeadingZeros dimObj (if (= (vla-get-ToleranceSuppressLeadingZeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of leading zeros toggled.")

    ;; Toggle the display of leading zeros for the dimension tolerance value back to previous state
    (vla-put-ToleranceSuppressLeadingZeros dimObj (if (= (vla-get-ToleranceSuppressLeadingZeros dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
    (alert "Suppression of leading zeros toggled back.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 02:09

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部